;+
; CUBEOBJECT::CREATEQCP
;
; Intent:
;         Create a new QCP, calculate its parameters and update stats
;         accordingly.
;
; History:
;         CB, October 2006
;-

function cubeObject::createQCP, cp
;oplot, [cp[0]]*6-3, [cp[1]]*6-3, ps = 6
;stop, cp
q = obj_new("QCP")
q -> setPos, cp
q -> setDerivs, self->calcDerivs(cp)
q -> calcChar
q -> calcSign, self->calcField(cp)
q -> calcSurf, self.size
self -> updateQCPStats, q
return, q

end
