;+
; CUBEOBJECT::ADDNULLS
;
; Intent:
;        Add a null.
;
; History:
;        CB, October 2006
;-

pro cubeObject::AddNull, p
;print, p
catch, error
case 1 of
    error ne 0: begin
        print, error
        return
    end
    else: dummy = 0
endcase


    
p = newton(p, 'newtonfunc')


;print, p, "*"
f = self->calcfield(p)


;stop, total(f^2), max(abs(self->getCube()))*1.e-5
if sqrt(total(f^2)) gt max(abs(self->Getcube()))*1.e-6 then begin
    ;stop, sqrt(total(f^2)) / max(abs(self->Getcube())) 
    return
end

if not ptr_valid(self.nulls) then begin
    print, p
    self.nulls = ptr_new(p)
    return
endif

n = *self.nulls
for j = 0, n_elements(n[0,*]) - 1 do begin
    d = sqrt(total((n[*,j] - p)^2))
    if d lt 0.01 then begin
        return
    endif
endfor
print, p
self.nulls = ptr_new([[n],[p]])
end
