;+
; CUBEOBJECT::ADDNULLS
;
; Intent:
;        Add a null.
;
; History:
;        CB, October 2006
;-

pro cubeObject::AddNull, p

if not ptr_valid(self.nulls) then begin
    self.nulls = ptr_new(p)
    return
endif

n = *self.nulls
for j = 0, n_elements(n[0,*]) - 1 do begin
    d = sqrt(total((n[*,i] - p)^2))
    if d lt 0.01 then begin
        return
    endif
endfor
self.nulls = ptr_new([[n],[p]])
end
