;+
; CUBEOBJECT::ADDQCPS
;
; Intent:
;        Add qcps to a cube object, assuming they're not already there
;
; History:
;        CB, October 2006
;-

pro cubeObject::AddQCPs, cp

for i =0, n_elements(cp[0,*])-1 do begin
    q = self->createQCP(cp[*,i])
    if ptr_valid(self.qcps) then begin
        self.qcps = ptr_new([*self.qcps,q])
    endif else begin
        self.qcps = ptr_new([q])
    endelse
endfor

end






